> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tessera.edstratumlabs.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get apiv1assignments releasepreview



## OpenAPI

````yaml /api/openapi.json get /api/v1/assignments/{assignmentId}/release/preview
openapi: 3.1.0
info:
  title: Tessera API
  version: '1'
servers:
  - url: https://tessera.edstratumlabs.ai
    description: Production
security: []
paths:
  /api/v1/assignments/{assignmentId}/release/preview:
    get:
      tags:
        - assignments
      operationId: previewRelease
      parameters:
        - name: assignmentId
          in: path
          required: true
          schema:
            type: string
            minLength: 1
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
                properties:
                  kind:
                    type: string
                    enum:
                      - setup
                      - release
                  changes:
                    type: array
                    items:
                      type: object
                      properties:
                        studentId:
                          type: string
                          minLength: 1
                        name:
                          type: string
                        from:
                          type: object
                          properties:
                            percent:
                              type:
                                - number
                                - 'null'
                            letter:
                              type:
                                - string
                                - 'null'
                          required:
                            - percent
                            - letter
                          additionalProperties: false
                        to:
                          type: object
                          properties:
                            percent:
                              type:
                                - number
                                - 'null'
                            letter:
                              type:
                                - string
                                - 'null'
                          required:
                            - percent
                            - letter
                          additionalProperties: false
                      required:
                        - studentId
                        - name
                        - from
                        - to
                      additionalProperties: false
                  letterChanges:
                    type: integer
                    minimum: 0
                    maximum: 9007199254740991
                  unchanged:
                    type: integer
                    minimum: 0
                    maximum: 9007199254740991
                  notSent:
                    type: array
                    items:
                      type: object
                      properties:
                        submissionId:
                          type: string
                          minLength: 1
                        studentId:
                          type: string
                          minLength: 1
                        reason:
                          type: string
                          const: ai-draft-not-reviewed
                      required:
                        - submissionId
                        - studentId
                        - reason
                      additionalProperties: false
                  hash:
                    type: string
                required:
                  - kind
                  - changes
                  - letterChanges
                  - unchanged
                  - notSent
                  - hash
                additionalProperties: false
        '400':
          description: API error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorBody'
        '401':
          description: API error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorBody'
        '403':
          description: API error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorBody'
        '404':
          description: API error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorBody'
        '409':
          description: API error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorBody'
        '429':
          description: API error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorBody'
      security:
        - bearerAuth: []
components:
  schemas:
    ApiErrorBody:
      type: object
      required:
        - error
      properties:
        error:
          type: object
          required:
            - code
            - message
          properties:
            code:
              type: string
              enum:
                - unauthenticated
                - forbidden
                - not-found
                - invalid
                - conflict
                - not-ready
                - ai-disabled
                - ai-failed
                - rate-limited
                - too-large
                - unsupported
            message:
              type: string
            details: {}
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: Scoped tsk_… API token or Access JWT

````